Bug 138616 - Display config takes a long time to start up.
Display config takes a long time to start up.
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-11-10 04:40 EST by Steven Van Impe
Modified: 2014-03-16 22:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 17:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Strace output (short version) (13.52 KB, text/plain)
2004-11-15 16:01 EST, Steven Van Impe
no flags Details

  None (edit)
Description Steven Van Impe 2004-11-10 04:40:57 EST
Description of problem:
Go to Applications\System Settings\Display
Wait :)

How reproducible:
100% here.

I'm using a fresh install of FC3 with the following hardware: IIyama
LS902UTBK, Asus Radeon 9200SE.
Comment 1 Paul Nasrat 2004-11-12 13:09:00 EST
Does kudzu -p -b ddc run as root also seem slow?  It could be we're
waiting for the probe data.
Comment 2 Steven Van Impe 2004-11-12 13:45:53 EST
Right now both of them (kudzu and display config) take about 5
seconds, is this considered slow or normal ?

The output from kudzu seems correct expect for this:
mem: 16384
Does this mean kudzu thinks my graphics card only has 16MiB of RAM (it
has 128) ?
Comment 3 Paul Nasrat 2004-11-15 09:29:59 EST
OK looks as if ddc probing is slow on your h/w.  Can you paste the
output of the kudzu probe into the report.
Comment 4 Steven Van Impe 2004-11-15 09:50:03 EST
[root@max steven]# time /usr/sbin/kudzu -p -b ddc
class: VIDEO
bus: DDC
detached: 0
driver: unknown

desc: "ATI Technologies Inc. V280"
mem: 16384
class: MONITOR
bus: DDC
detached: 0
driver: unknown
desc: "LS902U"
id: IVM1938
horizSyncMin: 30
horizSyncMax: 96
vertRefreshMin: 50
vertRefreshMax: 160
mode: 640x480
mode: 800x600
mode: 1024x768
mode: 1280x960
mode: 1280x1024
mode: 1600x1200

real    0m3.376s
user    0m1.213s
sys     0m2.119s
Comment 5 Bill Nottingham 2004-11-15 13:49:57 EST
Can you attach the output of 'strace -tt /usr/sbin/kudzu -p -b ddc'?
Comment 6 Steven Van Impe 2004-11-15 16:00:42 EST
That file is 33MBs big, are you sure you want me to upload it ?
For now, I'll upload a short version of it, since the majority of the
original file contains the same message over and over again.
Comment 7 Steven Van Impe 2004-11-15 16:01:49 EST
Created attachment 106751 [details]
Strace output (short version)
Comment 8 Bill Nottingham 2004-11-16 12:59:10 EST
What does 'cat <whatever> | grep vm86 | wc -l' say?
Comment 9 Steven Van Impe 2004-11-16 13:50:58 EST
[steven@max ~]$ cat strace.txt | grep vm86 | wc -l
Comment 10 Bill Nottingham 2005-09-28 17:10:50 EDT
Realistically, this code is not going to change appreciably in the near future
in a way that would speed this up. Hence, closing this report.

Note You need to log in before you can comment on or make changes to this bug.